AMDZENTEMP(4)

NAME
amdzentemp - AMD Zen CPU family on-die digital thermal sensor

SYNOPSIS
amdzentemp* at amdsmnbus?

DESCRIPTION
The amdzentemp driver provides support for the on-die digital thermal sensor present on AMD Ryzen CPUs and some later AMD Opteron CPUs.

These sensors provide 0.125°C accuracy. There is one sensor for each CPU socket.

The amdzentemp driver reports temperatures through the envsys(4) API.
Sensor | Units | Typical Use
CPUN sensor0 | μK | cpuN temperature

SEE ALSO
amdtemp(4), envsys(4), envstat(8), powerd(8)

HISTORY
The amdzentemp driver first appeared in OpenBSD 4.4 named “kate”. It was then ported to NetBSD 5.0 under the name amdtemp(4). The FreeBSD version of the driver was updated with support for newer AMD CPUs. For NetBSD, the support for the newer CPUs was separated into its own amdzentemp driver.

AUTHORS
-nosplit The amdzentemp driver was written by Constantine A. Murenin <cnst@openbsd.org> whilst at the University of Waterloo. Porting of support for the newer AMD CPUs from FreeBSD was provided by Ian Clark.

BUGS
The temperature reading provided to envsys(4) needs to have a CPU-dependent offset applied. For Ryzen X processors, the offset is 20°C, while for Threadripper processors an offset of 27°C is needed.

The sensor has a thermal-trip value which should be retrieved and provided to envsys(4) as the sensors critical-maximum value.